Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.compiler
Class ProxyAssembler

    java.lang.Object
      org.jboss.proxy.compiler.ProxyAssembler

Deprecated. Use `ProxyCompiler` or Jakarta BCEL instead.

public class ProxyAssembler
extends Object

A simple bytecode assembler.

Version:
  $Revision: 1.3 $
Author:
  Unknown

Constructor Summary
`ProxyAssembler(String className, int modifiers, Class superClass, Class[] interfaces)` Deprecated.

Method Summary
`void` | `addAttribute(org.jboss.proxy.compiler.ProxyAssembler.AMember m, String name, Object data)` Deprecated.
`void` | `addAttribute(String name, Object data)` Deprecated.
`Object` | `addMember(int mods, Class type, Class[] exceptionClasses, String name)` Deprecated.
`Object` | `addMember(int mods, Class rtype, String name, Class[] ptypes, Class[] exceptionClasses)` Deprecated.
`void` | `checkCast(Object t)` Deprecated.
`int` | `declare(Object t)` Deprecated.
`int` | `dup()` Deprecated.
`short` | `getClassIndex(Class c)` Deprecated.
`byte[]` | `getCode()` Deprecated.
`Object` | `getCurrentMember()` Deprecated.
`short` | `getIndex(Object x)` Deprecated.
`short` | `getMemberIndex(Object cls, String name)` Deprecated.
`short` | `getMemberIndex(Object cls, String name, Class[] ptypes)` Deprecated.
`short` | `getNTIndex(String name, String sig)` Deprecated.
`static String` | `getSig(Class t)` Deprecated.
`static String` | `getSig(Class rt, Class[] pt)` Deprecated.
`short` | `getUtfIndex(String x)` Deprecated.
`byte[]` | `internalGetCode()` Deprecated.
`int` | `invoke(Object cls, String name, Class[] ptypes)` Deprecated.
`void` | `pushConstant(int x)` Deprecated.
`void` | `pushConstant(Object x)` Deprecated.
`void` | `pushElement(Object etype)` Deprecated.
`int` | `pushField(Object cls, String name)` Deprecated.
`int` | `pushLocal(int loc)` Deprecated.
`int` | `pushNewArray(Object etype)` Deprecated.
`void` | `ret()` Deprecated.
`void` | `setCurrentMember(Object m)` Deprecated.
`void` | `setElement(Object etype)` Deprecated.
`void` | `setField(Object cls, String name)` Deprecated.
`void` | `undeclare(Object t)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyAssembler

    public ProxyAssembler(String className,
                          int modifiers,
                          Class superClass,
                          Class[] interfaces)

  Deprecated.

Method Detail

### getIndex

    public short getIndex(Object x)

  Deprecated.

### getUtfIndex

    public short getUtfIndex(String x)

  Deprecated.

### getNTIndex

    public short getNTIndex(String name,
                            String sig)

  Deprecated.

### getClassIndex

    public short getClassIndex(Class c)

  Deprecated.

### getMemberIndex

    public short getMemberIndex(Object cls,
                                String name,
                                Class[] ptypes)

  Deprecated.

### getMemberIndex

    public short getMemberIndex(Object cls,
                                String name)

  Deprecated.

### getSig

    public static String getSig(Class t)

  Deprecated.

### getSig

    public static String getSig(Class rt,
                                Class[] pt)

  Deprecated.

### getCurrentMember

    public Object getCurrentMember()

  Deprecated.

### setCurrentMember

    public void setCurrentMember(Object m)

  Deprecated.

### addMember

    public Object addMember(int mods,
                            Class rtype,
                            String name,
                            Class[] ptypes,
                            Class[] exceptionClasses)

  Deprecated.

### addMember

    public Object addMember(int mods,
                            Class type,
                            Class[] exceptionClasses,
                            String name)

  Deprecated.

### addAttribute

    public void addAttribute(org.jboss.proxy.compiler.ProxyAssembler.AMember m,
                             String name,
                             Object data)

  Deprecated.

### addAttribute

    public void addAttribute(String name,
                             Object data)

  Deprecated.

### declare

    public int declare(Object t)

  Deprecated.

### undeclare

    public void undeclare(Object t)

  Deprecated.

### pushConstant

    public void pushConstant(Object x)

  Deprecated.

### pushConstant

    public void pushConstant(int x)

  Deprecated.

### pushLocal

    public int pushLocal(int loc)

  Deprecated.

### dup

    public int dup()

  Deprecated.

### checkCast

    public void checkCast(Object t)

  Deprecated.

### pushNewArray

    public int pushNewArray(Object etype)

  Deprecated.

### setElement

    public void setElement(Object etype)

  Deprecated.

### pushElement

    public void pushElement(Object etype)

  Deprecated.

### ret

    public void ret()

  Deprecated.

### pushField

    public int pushField(Object cls,
                         String name)

  Deprecated.

### setField

    public void setField(Object cls,
                         String name)

  Deprecated.

### invoke

    public int invoke(Object cls,
                      String name,
                      Class[] ptypes)

  Deprecated.

### getCode

    public byte[] getCode()

  Deprecated.

### internalGetCode

    public byte[] internalGetCode()
                           throws IOException

  Deprecated.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.